Wt: Wt::WFontMetrics Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WFontMetrics Class Reference

A value class that describes font metrics for a font. More...

`#include <Wt/WFontMetrics>`

List of all members.

## Public Member Functions
| WFontMetrics (const WFont &font, double leading, double ascent, double descent)
| Creates a font metrics information object.
const WFont & | font () const
| Returns the font for which these font metrics were computed.
double | size () const
| Returns the font size.
double | height () const
| Returns the font height.
double | leading () const
| Returns the font leading length.
double | ascent () const
| Returns the font ascent length.
double | descent () const
| Returns the font descent length.

## Detailed Description

A value class that describes font metrics for a font.

This class provides font metrics for a given font. It is returned by an implementation of WPaintDevice::fontMetrics(), and may differ between devices.

All methods return pixel dimensions.

See also:
  WPaintDevice

## Member Function Documentation

double Wt::WFontMetrics::ascent | ( |  | ) | const

Returns the font ascent length.

This is vertical space which corresponds to the maximum height of a character over the baseline (although many fonts violate this for some glyphs).

double Wt::WFontMetrics::descent | ( |  | ) | const

Returns the font descent length.

This is vertical space which corresponds to the maximum height of a character under the baseline (although many fonts violate this for some glyphs).

double Wt::WFontMetrics::height | ( |  | ) | const

Returns the font height.

The font height is the total height of a text line. It is usually a bit bigger than the font size to have natural line spacing.

double Wt::WFontMetrics::leading | ( |  | ) | const

Returns the font leading length.

This is vertical space provided on top of the ascent (empty space which serves as natural line spacing).

double Wt::WFontMetrics::size | ( |  | ) | const

Returns the font size.

This is the same as:

     font().size().sizeLength()

e.g.~for a font with size set to 16px, this returns 16.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator